/* 
    Author: Dylan Bahm
    File Name: styles.css
    Date: 2/17/2026
*/

/* CSS Reset */
body, nav, footer, main, h1, div, img, header, ul, h2, section, figure, figcaption, table, tr, th, td, caption {
    padding: 0;
    margin: 0;
    border: 0;
}
/* Align headers center */
h1, h2, h3, h4 {
    text-align: center;
}
/* Image response rule */
img {
    max-width: 100%;
    display: block;
}
/* Header style rules */
header {
    text-align: center;
    font-family: Verdana, sans-serif;
}
header h1 {
    font-size: 2.5em;
}
header figcaption {
    font-size: 1em;
    padding-bottom: 0.25em;
    font-weight: bold;
}
header img {
    width: 15%;
    margin: 0 auto;
}
/* Nav style rules */
nav {
    padding: 1%;
    margin-bottom: 0;
    display: block;
    background-color: #51afde;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}
nav li a {
    display: block;
    color: #000;
    padding: 0.5em 1em;
    text-decoration: none;
}
.mobile-nav a {
    color: #000;
    text-align: center;
    font-size: 2em;
    text-decoration: none;
    padding: 1.5%;
    display: block;
}
.mobile-nav a.nav-icon {
    display: block;
    top: 0;
    right: 0;
}
.nav-icon div {
    height: 40px;
    width: 40px;
    background-color: #51afde;
}
/* Main content styles */
main {
    font-size: 1.25em;
    font-family: Verdana, serif;
    text-align: left;
    margin: 1%;
}
main a {
    text-decoration: none;
    color: #51afde;
}
main ul {
    margin: 1.2em;
}
.bold {
    font-weight: bold;
}
#resume {
    font-size: 1.2em;
    text-align: center;
}
/* Footer style rules */
footer {
    text-align: center;
    clear: both;
}
footer img {
    display: block;
    margin: 0 auto;
    width: 40px;
    padding-bottom: 1%;
}
/* Mobile style rules */
.tablet-desktop, #menu-links {
    display: none;
}
.tel-link {
    background-color: #51afde;
    padding: 2%;
    margin: 0 auto;
    width: 80%;
    text-align: center;
    border-radius: 5px;
    box-shadow: 0px 0px 20px #888;
}
.tel-link a {
    text-decoration: none;
    color: #fff;
    display: block;
}
.mobile {
    text-align: center;
}
label {
    display: block;
    padding-top: 3%;
}
form #submit {
    margin: 0 auto;
    border: none;
    display: block;
    padding: 2%;
    background-color: #51afde;
    font-size: 1em;
    border-radius: 10px;
}
/* Hide hero for mobile viewports */
.hero {
    display: none;
}

@media screen and (min-width: 768px) {
/* Hide mobile content and display desktop content */
    .mobile, .mobile-nav {
        display: none;
    }
    .tablet-desktop {
        display: inline;
    }
    table {
        border-collapse: collapse;
        width: 95%;
        margin: 0 auto;

    }
    th {
        font-size: 1.5em;
    }
    caption {
        font-weight: bold;
        font-size: 2em;
        padding: 2%;
    }
    th, td {
        border: 2px solid #000;
    }
    tr:nth-child(odd) {
        background-color: #ccc;
    }

/* Desktop and tablet nav styles */
    nav.tablet-desktop {
        padding: 1%;
        margin-bottom: 0;
        display: block;
        background-color: #51afde;
        font-family: Verdana, Geneva, Tahoma, sans-serif;
    }
    nav ul {
        list-style-type: none;
        margin: 0;
        text-align: center;
    }
    nav li {
        display: inline-block;
        font-size: 1.5em;
        border-right: 1px solid #000;
        font-family: Verdana, sans-serif;
        border-top: none;
    }
    nav li a {
        display: block;
        color: #000;
        text-align: center;
        padding: 0.5em 1em;
        text-decoration: none;
    }
    nav li a:hover {
        transform: scale(1.2);
        background-color: #fff;
        color: #51afde;
    }
    header figcaption {
        font-size: 1.25em;
    }
    form {
        width: 99%;
        margin: 0 auto;
    }

}

@media screen and (min-width: 1024px) {
    /* Display hero on desktop displays */
    .hero {
        display: inline;
    }

    /* Fit nav rules for bigger screen */
    nav li {
        font-size: 1.75em;
    }
    /* 3 column grid layout for about page */
    .grid {
        display: grid;
        grid-template-columns: auto auto auto;
        grid-gap: 20px;
    }
    
}